Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLDataReadCall

`java.lang.Object
DatasourceCall
oracle.toplink.sdk.AbstractSDKCall
oracle.toplink.xml.XMLCall
oracle.toplink.xml.XMLDataCall
oracle.toplink.xml.XMLDataReadCall`

All Implemented Interfaces:
  Call, java.lang.Cloneable, SDKCall, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLDataReadCall
extends XMLDataCall

XMLDataReadCall reads up the specified data and, if necessary, extracts the specified result elements and converts them to the specified types.

Since:
  TOPLink/Java 3.0
See Also:
  Serialized Form

Constructor Summary
`XMLDataReadCall()` Deprecated. Default constructor.

Method Summary
`void` | `addResultElementName(java.lang.String resultElementName)` Deprecated. Add a result element name.
`void` | `addResultElementType(java.lang.String resultElementName, java.lang.Class resultElementType)` Deprecated. Add a result element type.
`java.lang.Object` | `execute(DatabaseRow translationRow, Accessor accessor)` Deprecated. Read and return the necessary rows of data.
`void` | `setResultElementName(java.lang.String resultElementName)` Deprecated. Set the name of the singular result element.
`void` | `setResultElementNames(java.lang.String[] resultElementNames)` Deprecated. Set the result element names.
`void` | `setResultElementNames(java.util.Vector resultElementNames)` Deprecated. Set the result element names.

Methods inherited from class oracle.toplink.xml.XMLDataCall
`addPrimaryKeyElementName, setPrimaryKeyElementName, setPrimaryKeyElementNames, setPrimaryKeyElementNames, setRootElementName`

Methods inherited from class oracle.toplink.xml.XMLCall
`getStreamPolicy, getXMLTranslator, setFile, setFile, setFileName, setFileName, setFiles, setFiles, setReader, setReaders, setStreamPolicy, setWriter, setXMLTranslator`

Methods inherited from class oracle.toplink.sdk.AbstractSDKCall
`addReadTranslation, addReadTranslations, addReadTranslations, addWriteTranslation, addWriteTranslations, addWriteTranslations, buildDefaultTranslator, buildNewQueryMechanism, buildQueryMechanism, getFieldTranslator, getLogString, isFinished, setFieldTranslator, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLDataReadCall

    public XMLDataReadCall()

  Deprecated.
  Default constructor.

Method Detail

### addResultElementName

    public void addResultElementName(java.lang.String resultElementName)

  Deprecated.
  Add a result element name.

### addResultElementType

    public void addResultElementType(java.lang.String resultElementName,
                                     java.lang.Class resultElementType)

  Deprecated.
  Add a result element type.

### execute

    public java.lang.Object execute(DatabaseRow translationRow,
                                    Accessor accessor)
                             throws XMLDataStoreException

  Deprecated.
  Read and return the necessary rows of data. The translation row holds the primary key for the data.
  Throws:
    `XMLDataStoreException`

### setResultElementName

    public void setResultElementName(java.lang.String resultElementName)

  Deprecated.
  Set the name of the singular result element.

### setResultElementNames

    public void setResultElementNames(java.lang.String[] resultElementNames)

  Deprecated.
  Set the result element names.

### setResultElementNames

    public void setResultElementNames(java.util.Vector resultElementNames)

  Deprecated.
  Set the result element names.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD